Subject: bug#74903: [PATCH] Add function to show table of keys when describing keymap variable

From: Robert Pluim <[email-masked]>
Date: Tue, 17 Dec 2024 08:49:59 +0100

>>>>> On Mon, 16 Dec 2024 18:41:19 +0000, Mekeor Melire <[email-masked]> said:

    Mekeor> I get the impression that you talk about M-x describe-keymap RET which does already exist.

No, Iʼm talking about `describe-bindings'.

    Mekeor> That is not what I proposed. What I proposed is two things:

    Mekeor> 1. Allow users to opt-in to have C-h v foo-keymap RET show a table of
    Mekeor> key bindings in addition to the formatting as S-expression. This fits
    Mekeor> well into the existing help-fns mechanism. The patch I submitted
    Mekeor> implements a prototype.

Again, I donʼt see a need for it. A user trying to figure out
keybindings is not going to be inspecting keymap variables, and
`describe-bindings' or `describe-mode' tells them what they need to
know. A developer writing code presumably knows about keymaps, and
doesnʼt need a different visual representation of them to get stuff
done.

    Mekeor> 2. In help-mode, bind a single-char-key like "K" to a
    Mekeor> command that will allow users to easily switch from
    Mekeor> describing a variable as variable to describing it as
    Mekeor> keymap a la describe-keymap.

See my previous paragraph.

Robert
--